// MegatronView.cpp : implementation of the CMegatronView class
//

#include "stdafx.h"
#include "Megatron.h"

#include "MegatronDoc.h"
#include "MegatronView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CMegatronView

IMPLEMENT_DYNCREATE(CMegatronView, CView)

BEGIN_MESSAGE_MAP(CMegatronView, CView)
	//{{AFX_MSG_MAP(CMegatronView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMegatronView construction/destruction

CMegatronView::CMegatronView()
{
}

CMegatronView::~CMegatronView()
{
}

BOOL CMegatronView::PreCreateWindow(CREATESTRUCT& cs)
{
	return CView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CMegatronView drawing

void CMegatronView::OnDraw(CDC* pDC)
{
	CMegatronDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}

/////////////////////////////////////////////////////////////////////////////
// CMegatronView printing

BOOL CMegatronView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CMegatronView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
}

void CMegatronView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
}

/////////////////////////////////////////////////////////////////////////////
// CMegatronView diagnostics

#ifdef _DEBUG
void CMegatronView::AssertValid() const
{
	CView::AssertValid();
}

void CMegatronView::Dump(CDumpContext& dc) const
{
	CView::Dump(dc);
}

CMegatronDoc* CMegatronView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMegatronDoc)));
	return (CMegatronDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CMegatronView message handlers
